<div class="container">
    <mat-paginator [length]="longitud"
        [pageSize]="10"
        [pageSizeOptions]="opcionesPaginado"
        (page)="Pagina($event)">
    </mat-paginator>
    <table *ngIf="productos.length > 0" mat-table [dataSource]="productosPaginacion" class="mat-elevation-z8">
        <ng-container matColumnDef="nombre">
          <th mat-header-cell *matHeaderCellDef> Nombre </th>
          <td mat-cell *matCellDef="let element"> {{element.nombre}} </td>
        </ng-container>
        <ng-container matColumnDef="descripcion">
          <th mat-header-cell *matHeaderCellDef> Descripción </th>
          <td mat-cell *matCellDef="let element"> {{element.descripcion}} </td>
        </ng-container>
        <ng-container matColumnDef="precio">
          <th mat-header-cell *matHeaderCellDef> Precio </th>
          <td mat-cell *matCellDef="let element"> {{element.precio}} </td>
        </ng-container>
        <ng-container matColumnDef="comercio">
          <th mat-header-cell *matHeaderCellDef> Comercio </th>
          <td mat-cell *matCellDef="let element"> {{element.idComercio.nombre}} </td>
        </ng-container>

        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
    </table>

    <ng-template #customLoadingTemplate>
      <div class="custom-class">          
      </div>
    </ng-template>
    <ngx-loading [show]="loading" [config]="{ backdropBorderRadius: '3px' }" [template]="customLoadingTemplate"></ngx-loading>
</div>